name: standardSelect
type: object
meta:
    label: Standardauswahl
    dependsOn:
        eval: $parent?.inputWidgets?.includes('standardSelect')
subFields:
    - name: standardInputProperties
      type: object
      meta:
          widget: containerLessObject
      subFields: !include standardInputProperties.yml

    - name: selectEntries
      type: object[]
      meta:
          label: 
            de: Auswahleingabe Möglichkeiten
            en: Selection input options
          widget: containerLessObjectArray
          addElementLabel: Auswahleingabe hinzufügen
          direction: horizontal
      subFields:
          - name: shownValue
            type: string
            meta:
                label: 
                    de: Angezeigter Wert
                    en: Displayed value
                containerProps:
                    layout:
                        size:
                            default: "col-6"
                            small: "col-12"
                            large: "col-6"

          - name: value
            type: string
            meta:
                label: 
                    de: per Email gesendeter Wert
                    en: Value sent by email
                containerProps:
                    layout:
                        size:
                            default: "col-6"
                            small: "col-12"
                            large: "col-6"

          - name: defaultValue
            type: boolean
            meta:
                label:
                    de: Standardwert
                    en: Default value
                helperText: 
                    de: "Wird dieser Wert ausgewählt, wird er als Standardwert gesetzt"
                    en: "If this value is selected, it will be set as the default value"
